# React Native Ultimate Listview

An RN ListView providing **advanced pull-to-refresh** | **auto-pagination & infinite-scrolling** | **gridview layout** | **swipeable-row**. The truly ultimate version that I have done the most tricky part for you, just simply follow the instructions shown below to use it your app.

*This module supports both of **iOS** and **Android** platforms.*

*All codes are written in **ES6 syntax**.* 



### What's new in the ^2.0.0 (Breaking Changes)

- Added a [Wiki](https://github.com/gameboyVito/react-native-ultimate-listview/wiki) to provide you a better experience

- Updated the [RefreshView API](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/RefreshView-API)

- Added an advanced version of **RefreshView** and kept the **RefreshControl** as a basic version

- You can switch there two modes by passing props `refreshableMode:'basic' or 'advanced'`

- `this.onFetch(page=1, startFetch, abortFetch)`,  now it takes three diffrent callback

  ​


# Demo

| New     | iOS                                      | Android                                  |
| ------- | ---------------------------------------- | ---------------------------------------- |
| Refresh | ![](https://github.com/gameboyVito/react-native-ultimate-listview/blob/master/Demo/ios-advanced.gif) | ![](https://github.com/gameboyVito/react-native-ultimate-listview/blob/master/Demo/android-advanced.gif) |

| Basic   | ListView                                 | GridView                                 |
| ------- | ---------------------------------------- | ---------------------------------------- |
| iOS     | ![](https://github.com/gameboyVito/react-native-ultimate-listview/blob/master/Demo/ios-listview.gif) | ![](https://github.com/gameboyVito/react-native-ultimate-listview/blob/master/Demo/ios-gridview.gif) |
| Android | ![](https://github.com/gameboyVito/react-native-ultimate-listview/blob/master/Demo/android-listview.gif) | ![](https://github.com/gameboyVito/react-native-ultimate-listview/blob/master/Demo/android-gridview.gif) |



# Wiki

* [Overview](https://github.com/gameboyVito/react-native-ultimate-listview/wiki)
* [Installation](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/Installation)
* [Upgrade](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/Upgrade)
* [Usage](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/Usage)
* [Swipable Row](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/Swipable-Row)
* [ListView API](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/ListView-API)
* [GridView API](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/GridView-API)
* [RefreshView API](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/RefreshView-API)
* [Pagination API](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/Pagination-API)
* [Methods API](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/Methods-API)



# Contribution

gameboyVito

​

# License

MIT